#!/usr/bin/env ruby

require "wkf"

for file in ["hoge_asc", "hoge_euc", "hoge_jis", "hoge_sjis"]
  f = open(file, "r")

  printf "file: %10-s", file
  print "  code: "

  case Wkf.guess_file(f)
  when Wkf::UNKNOWN
	print "Unknown", "\n"
  when Wkf::EUCorSJIS
	print "EUC-JP or Shift-JIS", "\n"
  when Wkf::ASCII
	print "ASCII", "\n"
  when Wkf::JIS
	print "JIS", "\n"
  when Wkf::EUC
	print "EUC-JP", "\n"
  when Wkf::SJIS
	print "Shift-JIS", "\n"
  when Wkf::BROKEN
	print "broken file", "\n"
  when Wkf::DATA
	print "binary data", "\n"
  end

  f.close

end
